
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.lenux.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;
import net.neoforged.neoforge.capabilities.RegisterCapabilitiesEvent;
import net.neoforged.neoforge.capabilities.Capabilities;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;

import net.minecraft.world.level.block.entity.BlockEntityType;
import net.minecraft.world.level.block.Block;
import net.minecraft.core.registries.BuiltInRegistries;

import net.mcreator.lenux.block.entity.PanneausolaireBlockEntity;
import net.mcreator.lenux.block.entity.FourautomatiqueBlockEntity;
import net.mcreator.lenux.LenuxMod;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD)
public class LenuxModBlockEntities {
	public static final DeferredRegister<BlockEntityType<?>> REGISTRY = DeferredRegister.create(BuiltInRegistries.BLOCK_ENTITY_TYPE, LenuxMod.MODID);
	public static final DeferredHolder<BlockEntityType<?>, BlockEntityType<?>> PANNEAUSOLAIRE = register("panneausolaire", LenuxModBlocks.PANNEAUSOLAIRE, PanneausolaireBlockEntity::new);
	public static final DeferredHolder<BlockEntityType<?>, BlockEntityType<?>> FOURAUTOMATIQUE = register("fourautomatique", LenuxModBlocks.FOURAUTOMATIQUE, FourautomatiqueBlockEntity::new);

	// Start of user code block custom block entities
	// End of user code block custom block entities
	private static DeferredHolder<BlockEntityType<?>, BlockEntityType<?>> register(String registryname, DeferredHolder<Block, Block> block, BlockEntityType.BlockEntitySupplier<?> supplier) {
		return REGISTRY.register(registryname, () -> BlockEntityType.Builder.of(supplier, block.get()).build(null));
	}

	@SubscribeEvent
	public static void registerCapabilities(RegisterCapabilitiesEvent event) {
		event.registerBlockEntity(Capabilities.ItemHandler.BLOCK, PANNEAUSOLAIRE.get(), (blockEntity, side) -> ((PanneausolaireBlockEntity) blockEntity).getItemHandler());
		event.registerBlockEntity(Capabilities.EnergyStorage.BLOCK, PANNEAUSOLAIRE.get(), (blockEntity, side) -> ((PanneausolaireBlockEntity) blockEntity).getEnergyStorage());
		event.registerBlockEntity(Capabilities.ItemHandler.BLOCK, FOURAUTOMATIQUE.get(), (blockEntity, side) -> ((FourautomatiqueBlockEntity) blockEntity).getItemHandler());
	}
}
