
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.lenux.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.event.BuildCreativeModeTabContentsEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;

import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.core.registries.Registries;

import net.mcreator.lenux.LenuxMod;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD)
public class LenuxModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, LenuxMod.MODID);

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.NATURAL_BLOCKS) {
			tabData.accept(LenuxModBlocks.COBALTMINERAIS.get().asItem());
		} else if (tabData.getTabKey() == CreativeModeTabs.INGREDIENTS) {
			tabData.accept(LenuxModItems.LINGOTCOBALT.get());
			tabData.accept(LenuxModItems.ECLATCOBALT.get());
			tabData.accept(LenuxModItems.STICKNETHERIT.get());
		} else if (tabData.getTabKey() == CreativeModeTabs.COMBAT) {
			tabData.accept(LenuxModItems.COBALT_ARMURE_HELMET.get());
			tabData.accept(LenuxModItems.COBALT_ARMURE_CHESTPLATE.get());
			tabData.accept(LenuxModItems.COBALT_ARMURE_LEGGINGS.get());
			tabData.accept(LenuxModItems.COBALT_ARMURE_BOOTS.get());
			tabData.accept(LenuxModItems.EPEE_COBALT.get());
			tabData.accept(LenuxModItems.BOUCLIERENCOBALT.get());
			tabData.accept(LenuxModItems.DAGUEENCOBALT.get());
		} else if (tabData.getTabKey() == CreativeModeTabs.TOOLS_AND_UTILITIES) {
			tabData.accept(LenuxModItems.PIOCHEENCOBALT.get());
			tabData.accept(LenuxModItems.MASQUE_HELMET.get());
			tabData.accept(LenuxModItems.HACHEC.get());
			tabData.accept(LenuxModItems.BOUCLIERENCOBALT.get());
			tabData.accept(LenuxModItems.MASQUEPM_HELMET.get());
			tabData.accept(LenuxModItems.HAMMERENCOBALT.get());
			tabData.accept(LenuxModItems.PELLEENCABLT.get());
			tabData.accept(LenuxModItems.HOUEENCOBALT.get());
		} else if (tabData.getTabKey() == CreativeModeTabs.FUNCTIONAL_BLOCKS) {
			tabData.accept(LenuxModBlocks.PANNEAUSOLAIRE.get().asItem());
		} else if (tabData.getTabKey() == CreativeModeTabs.REDSTONE_BLOCKS) {
			tabData.accept(LenuxModBlocks.FOURAUTOMATIQUE.get().asItem());
		}
	}
}
